Skip to main content
GET
/
news
/
stories
/
trending
cURL
curl "https://app.mavera.io/api/v1/news/stories/trending?category=technology" \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "object": "list",
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "summary": "<string>",
      "short_summary": "<string>",
      "image_url": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "article_count": 123,
      "unique_sources": 123,
      "sentiment": {
        "positive": 123,
        "negative": 123,
        "neutral": 123
      },
      "categories": [
        "<string>"
      ],
      "topics": [
        "<string>"
      ],
      "key_points": [
        "<string>"
      ]
    }
  ],
  "category": "<string>"
}

Authorizations

Authorization
string
header
required

API key prefixed with mvra_live_. Create keys at Settings > Developer > API Keys.

Query Parameters

category
enum<string>
default:trending

News category

Available options:
trending,
world,
us,
finance,
technology,
sports,
politics,
health,
business
size
integer
default:15

Number of stories (max 50)

Required range: x <= 50

Response

List of trending news stories

object
enum<string>
Available options:
list
data
object[]
category
string

The category filter applied